Bug 5448 - netfs script loads non networked file systems.
netfs script loads non networked file systems.
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-09-29 21:31 EDT by matthew
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-30 10:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description matthew 1999-09-29 21:31:33 EDT
In the /etc/rc.d/init.d/netfs script the last step is to do
a "mount -a".  We've already done a mount all in the
rc.sysinit script, why is it here aswell?  This reduces the
usefullness of this as a seperate script somewhat.
Certainly don't exepect my unmounted local file systems to
re-appear becuase I've brought up the networked ones.  We've
gone half the distance by having a seperate netfs script in
the first place so why not seperate the functions completly?

(personally I think the mounting the non root/boot fs's
should be seperate from rc.sysinit to but that's neither
here nor there. :))
Comment 1 Bill Nottingham 1999-09-30 10:51:59 EDT
The reason that the mount -a is there is so that filesystems
that might get mounted *under* the network file systems get
(say, /usr is NFS and /usr/local is local.)

Admittedly, it's an odd case, but having it there shouldn't
hurt anything.

Note You need to log in before you can comment on or make changes to this bug.